#if !defined(AFX_TREEPARAMVIEW_H__7DF2EA35_E52A_4FCF_A773_9CD8E13A36F3__INCLUDED_)
#define AFX_TREEPARAMVIEW_H__7DF2EA35_E52A_4FCF_A773_9CD8E13A36F3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TreeParamView.h : header file
//
#include "TreeCtrlPro.h"
#include "CurveSet.h"
#define MAXCSETS 128

/////////////////////////////////////////////////////////////////////////////
// CTreeParamView view

class CTreeParamView : public CView
{
protected:
	CTreeParamView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CTreeParamView)
// Attributes
public:
	CTreeCtrlPro m_PTree;
	CurveSet CSet[MAXCSETS];
// Operations
public:
	void Reset();
	bool DoUpdate;
	bool Initalized;
	void Refresh();

	HTREEITEM FirstItem;
	int NoRedraw;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTreeParamView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CTreeParamView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CTreeParamView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TREEPARAMVIEW_H__7DF2EA35_E52A_4FCF_A773_9CD8E13A36F3__INCLUDED_)
